#include <stdio.h>
#include <setjmp.h>

void set_status(int);
jmp_buf env;

int main(void)
  {
    int status;

    if ((status = setjmp(env)) != 0) /* setjmp returns 0 
                                        the first time */
      {
        printf("return from longjmp with status = %d\n",
                status);
        return 0;
      }
    set_status(1);
    return 0;
  }

void set_status(int status)
  {
    longjmp(env, status); /* jump to main */
  }
