typedef unsigned int DTYPE, STYPE;
#define IPORT  ((const volatile DTYPE * const)0xffff0000)
#define OPORT  ((volatile DTYPE * const)0xffff0004)
#define STATUS ((const volatile STYPE * const)0xffff0008)
#define IREADY 0x1
#define OREADY 0x2

void copy(register int n)
  {
    register int i;
    DTYPE temp;

    for (i = 0; i < n; i++)
      {
        while (!(*STATUS & IREADY)) /* wait */ ;
        temp = *IPORT;
        while (!(*STATUS & OREADY)) /* wait */ ;
        *OPORT = temp;
      }
  }
