#include <stdio.h>
#define  p_INIT   1000     /* parameters for principal */
#define  p_FINAL  10000
#define  p_INCR   1000
#define  r_INIT   10.0     /* parameters for rate */
#define  r_FINAL  15.0
#define  r_INCR   0.5
#define  y_INIT   1        /* parameters for years */
#define  y_FINAL  5
#define  y_INCR   1

int main(void)
  {
     int    years;
     float  principal, rate, interest;

     for (principal = p_INIT; principal <= p_FINAL; principal += p_INCR)
       {
         rate = r_INIT;

         while (rate <= r_FINAL)
           {
             years = y_INIT;
             do
               {
                 interest = principal * (rate/100) * years;
                 printf("%f %f %d %f\n", principal, rate, years, interest);
                 years += y_INCR;
               }
             while (years <= y_FINAL);

             printf("\n");/* exit point for the inner do-while loop */
             rate += r_INCR;
           }

         printf("\n");/* exit point for the middle while loop */
       }

    /* exit point for the outer for loop */

    return 0;
  }
