#include <stdio.h>
#define  STATES  50
#define  NATION  0

void zeroize(float state_income[], int people[]);
void accumulate(float state_income[], int people[]);
void print(float state_income[], int people[]);

main()
  {
    float  state_income[STATES+1];
    int    people[STATES+1];

    zeroize(state_income, people);
    accumulate(state_income, people);
    print(state_income, people);
    return 0;
  }

void zeroize(float state_income[], int people[])
  {
    int state;

    for (state = 0; state <= STATES; state++)
        state_income[state] = people[state] = 0;
  }

void accumulate(float state_income[], int people[])
  {
    int state;
    float individual_income;

    while (scanf("%d %f", &state, &individual_income)
	       != EOF)
        if (state >= 1 && state <= STATES)
          {
            state_income[state] += individual_income;
            people[state]++;
          }
  }

void print(float state_income[], int people[])
  {
    int state;
       
    /* print state averages */

    for (state = 1; state <= STATES; state++)
        if (people[state])
          {
            printf("state %d: %f\n", state,
                state_income[state]/people[state]);

            /* accumulate values for the national average */
            state_income[NATION] +=
                state_income[state];
            people[NATION] += people[state];
          }
        else
            printf("state %d: no data\n", state);
       
    /* print the national average */

    if (people[NATION])
        printf("national average = %f\n",
            state_income[NATION]/people[NATION]);
    else
        printf("no data\n");
  }
