/*************************   convert.c   *************************/

#include  "global.h"

char  name[MONTHS][LARGEST_NAME] =
        {
          "january", "february", "march", "april",
          "may", "june", "july", "august",
          "september", "october", "november", "december"
        };

static int days_in_month[2][MONTHS+1] =
        {
          {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, MAXINT},
          {31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, MAXINT}
        };

int  month, day_of_the_month;

void convert(int year, int day)
  {
    int  leap;

    leap = year%4 == 0 && year%100 != 0 || year%400 == 0;

    for (month = 0; day > days_in_month[leap][month]; month++)
        day -= days_in_month[leap][month];

    day_of_the_month = day;
  }
