#include <stdio.h>
#define  MAXSIZE  100

int readl(int *arr, int length);
void writel(int *arr, int last);
void bsort(int *arr, int last);

int main(void)
  {
    int  list[MAXSIZE], total_elements;

    total_elements = readl(list, MAXSIZE);
    bsort(list, total_elements);
    writel(list, total_elements);
    return 0;
  }

int readl(int *arr, int length)
  {
    int  i;

    for (i = 0; i < length
                && scanf("%d", arr+i) != EOF; i++)
        ;
    return i;
  }

void bsort(int *arr, int last)
  {
    int  i, not_done;

    do
      {
        not_done = 0;

        /* scan and interchange as needed */

        for (i = 1; i < last; i++)
           
            if (*(arr+i-1) < *(arr+i) )
              {
                int t;

                t = *(arr+i);
                *(arr+i) = *(arr+i-1);
                *(arr+i-1) = t;
                not_done++;
              }

        /* do not scan the last data item in the next iteration */

        last--;
      }
    while (not_done);
  }

void writel(int *arr, int last)
  {
    int  *end = arr + last;

    while (arr < end) printf("%d\n", *arr++);
  }
