#include <string.h>
#define  MAXSIZE    80

void transform(char *rawstr, char *stdstr);
int test(char *stdstr);

int palindrome(char *rawstr)
  {
    char stdstr[MAXSIZE];

    transform(rawstr, stdstr);
    return test(stdstr);
  }

void transform(char *rawstr, char *stdstr)
  {
    for( ; *rawstr; rawstr++)
        if(*rawstr >= 'a' && *rawstr <= 'z')
            /*  convert to uppercase */
            *stdstr++ = *rawstr - 'a' + 'A';
        else if((*rawstr >= 'A' && *rawstr <= 'Z') ||
                (*rawstr >= '0' && *rawstr <= '9'))
                    *stdstr++ = *rawstr;
  }

int test(char *str)
  {
    /* pointer to the first character */
    char *left = str;
    /* pointer to the last character */
    char *right = str + strlen(str) - 1;

    for ( ; left < right; left++, right--)
         if (*left != *right)
             return 0;

    return 1;
  }
