#include <stdio.h>
#define   MAX   80

void randcopy(char *infile,
              char *idxfile, char *outfile)
  {
    FILE *ifp; /* file pointer for the input file */
    FILE *xfp; /* file pointer for the index file */
    FILE *ofp; /* file pointer for the output file */
    long pos;  /* start position in the input file for next read */
    int nbytes;/* number of bytes to be read */
    char buf[MAX];/* buffer to hold the characters read */
    
    /* open the files */
    ifp = fopen(infile, "r");
    xfp = fopen(idxfile, "r");
    ofp = fopen(outfile, "w");

    /* create the output file */
    while (fscanf(xfp, "%ld %d", &pos, &nbytes) != EOF)
      {
        /* seek to the correct position in the input file */
        fseek(ifp, pos, SEEK_SET);

        /* read nbytes characters into buf */
        fread(buf, sizeof(char), nbytes, ifp);

        /* write the characters read to the output file */
        fwrite(buf, sizeof(char), nbytes, ofp);
      }

    /* close the files */
    fclose(ifp); fclose(xfp); fclose(ofp);
  }
