#include <stdio.h>

/*
 *  Move n disks from tower x to tower y, where z is the third tower
 */

void move(int n, int x, int y, int z)
  {
    if (n == 1)
        printf("move the top disk on %d to %d\n",
                x, y);
    else
      {
        /* move the top n-1 disks on tower x to tower z */
        move(n-1, x, z, y);

        /* move the bottommost disk on tower x to tower y */
        printf("move the top disk on %d to %d\n",
                x, y);

        /* now move the n-1 disks on tower z to tower y */
        move(n-1, z, y, x);
      }
  }

int main(void)
  {
    int disks;

    scanf("%d", &disks);
    move(disks, 1, 2, 3);
    return 0;
  }
