#include <stdio.h>
#define  ITEMS      1000
#define  NOT_FOUND  -1

void bld_database(int item[],
                  float price[], int total_items);
int  bsearch(int value, int arr[], int length);

int main(void)
  {
    int    item[ITEMS], item_no, index;
    float  price[ITEMS];

    /* build the item-price database */

    bld_database(item, price, ITEMS);

    /* read the item_no of the item whose price is to be found */

    scanf("%d", &item_no);

    /* binary search */

    index = bsearch(item_no, item, ITEMS);

    /* output */

    if (index == NOT_FOUND)
        printf("item %d is not in the database\n",
                item_no);
    else
        printf("price of item %d = %f\n",
                item_no, price[index]);

    return 0;
  }

void bld_database(int item[],
                  float price[], int total_items)
  {
    int i;

    for (i = 0; i < total_items; i++)
        scanf("%d %f", &item[i], &price[i]);
  }

int bsearch(int value, int arr[], int length)
  {
    int first = 0, last = length-1, mid;

    while (first <= last)
      {
        mid = (first + last) / 2;

        if (value == arr[mid])    /* search succeeds */
            return mid;
        else if (value > arr[mid])/* search lower half */
            last = mid - 1;
        else                      /* search upper half */
            first = mid + 1;
      }

    return NOT_FOUND;
  }
